aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-05-26 16:06:16 -0300
committerFrancesco Colista <fcolista@alpinelinux.org>2019-05-27 08:06:52 +0000
commit8434c326aad43f262b9ded4b3f5dc553e9dd6471 (patch)
treef157bd4e18b3664d00c4c4cd9020faec8f09af64
parentdfdfad2b39890ab40dd3f79b17d968a4f5de97d3 (diff)
downloadaports-8434c326aad43f262b9ded4b3f5dc553e9dd6471.tar.gz
aports-8434c326aad43f262b9ded4b3f5dc553e9dd6471.tar.bz2
aports-8434c326aad43f262b9ded4b3f5dc553e9dd6471.tar.xz
main/perl-server-starter: modernize, fix license
-rw-r--r--main/perl-server-starter/APKBUILD10
1 files changed, 6 insertions, 4 deletions
diff --git a/main/perl-server-starter/APKBUILD b/main/perl-server-starter/APKBUILD
index ffebf11a38..bb2f457bb5 100644
--- a/main/perl-server-starter/APKBUILD
+++ b/main/perl-server-starter/APKBUILD
@@ -4,15 +4,15 @@
pkgname=perl-server-starter
_pkgreal=Server-Starter
pkgver=0.15
-pkgrel=1
+pkgrel=2
pkgdesc="A superdaemon for hot-deploying server programs"
url="http://search.cpan.org/dist/Server-Starter/"
arch="noarch"
-license="GPL PerlArtistic"
+license="GPL-1.0-or-later OR Artistic-1.0-Perl"
cpandepends="perl-proc-wait3 perl-list-moreutils perl-scope-guard"
cpanmakedepends="perl-test-tcp"
depends="$cpandepends"
-makedepends="perl-dev $depends $cpanmakedepends perl-module-install"
+makedepends="perl-dev $cpanmakedepends perl-module-install"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/K/KA/KAZUHO/$_pkgreal-$pkgver.tar.gz"
@@ -32,7 +32,9 @@ build() {
check() {
cd "$builddir"
- if ! grep -q "VxID: [0-9]*" /proc/self/status; then make test || return 1; fi
+ if ! grep -q "VxID: [0-9]*" /proc/self/status; then
+ make test
+ fi
}
package() {